Create a new doctor profile for your business. This endpoint lets you register a doctor with their personal details, specializations, qualifications, and profile image.
Endpoint: {{HOST}}/cdr/v1/doctor
Method: POST
| Parameter | Type | Description | Required |
|---|---|---|---|
| firstname | string | Doctor’s first name | Yes |
| lastname | string | Doctor’s last name | Yes |
| gender | string | Doctor’s gender (M/F/O) | Yes |
| dob | string | Doctor’s date of birth (YYYY-MM-DD) | No |
| string | Doctor’s email address | No | |
| mobile | string | Doctor’s mobile number (10 digits) | No |
| specialisations | array | List of doctor’s specializations | No |
| qualifications | array | List of doctor’s qualifications/degrees | No |
| about | string | Brief description about the doctor | No |
| profile_image_url | string | URL of the doctor’s profile image | No |
| clinic_ids | array | List of Eka clinic IDs to assign to this doctor | No |
| partner_clinic_ids | array | List of partner clinic IDs to assign to this doctor | No |
| partner_id | string | Unique identifier provided by partner | No |
| Parameter | Type | Description |
|---|---|---|
| status | string | Status of the response (e.g., “success”) |
| ekaid | string | Unique identifier for the created doctor |
Note: The
specialisationsandqualificationsfields accept predefined values, if wanted these can be left empty as they are optional fields. For the complete and up-to-date list, see this Google Sheet: View Specializations & Qualifications List
Documentation Index
Fetch the complete documentation index at: https://ekacare-mintlify-changelog-1776733918.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
The auth token of the business. It is used to authenticate the client. This should be fetched from auth api.
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJiX2lkIjoiMTIzNDU2IiwiY2xpZW50X2lkIjoiNzg5MCIsImV4dHJhX2ZpZWxkIjoiZXh0cmFfZmllbGRfZGF0YSJ9.q9KzBI6f4l3OyM_EkB5Quq0l9EEMFh5JS-fx3F_PHUM"
Request body for creating a doctor profile
Doctor's first name
"Rajesh"
Doctor's last name
"Sharma"
Doctor's gender (M - Male, F - Female, O - Other)
M, F, O "M"
Doctor's mobile number (10 digits)
"0000011111"
Doctor's date of birth (YYYY-MM-DD) default to 1990-01-01, if not provided.
"1999-01-01"
Doctor's email address
"dr.rajesh@example.com"
List of doctor's specializations. Refer to the Available Specializations section for valid values.
["Cardiology", "Internal Medicine"]List of doctor's qualifications/degrees. Refer to the Available Qualifications section for valid values.
["MBBS", "MD", "DM"]Brief description about the doctor
"Dr. Rajesh Sharma is a renowned cardiologist with over 15 years of experience in interventional cardiology."
URL of the doctor's profile image
"https://example.com/images/dr-rajesh.jpg"
List of Eka clinic IDs to assign to this doctor
["c-ab2c-34f2d-2gwd-2g2g"]List of partner clinic IDs to assign to this doctor
["Part_clinic_1"]Unique identifier provided by partner
"Part_doc"